{

  TH2D * h2 = new TH2D("h2", "h2", 1000, -5, 5, 1000, -5, 5);
  //avoid underflow and overflow
  for (unsigned int iBinX = 1; iBinX < h2.GetNbinsX()+1; iBinX++) {
    for (unsigned int iBinY = 1; iBinY < h2.GetNbinsY()+1; iBinY++) {
      //same syntax as TH1s, with one dimension more
      h2->SetBinContent(iBinX, iBinY, iBinX+iBinY);
    }
  }
  
  //finding the identifier of a bin
  cout << "In the TH2 bin numbering scheme"  
       << "x=4.5, y=4.5 is located in bin: " 
       <<  h2->FindBin(4.5,4.5)
       << endl;

  //this is particularly useful for 2D histograms
  //as the function to find the bin content uses this
  cout << "The bin content for the "  
       << "x=4.5, y=4.5 bin is: " 
       <<  h2->GetBinContent(h2->FindBin(4.5,4.5))
       << endl;
       
  gSystem->Load("SetPlotStyle.C");
  set_plot_style();
  
  h2->Draw("COLZ");
    
}